#pragma once

#include<vector>
#include<string>
#include<stdint.h>

namespace ap
{
enum ERRORS
{
	SUCESS,
	ERR_INIT,
	ERR_NO_DEV,
	ERR_ALLOC,
	ERR_GENERAL
};
std::vector<uint64_t> connectedDevices(const std::string& ifDevice, int& error);
std::string macAddrToString(uint64_t macAddr);
}
